Bug 230607 - devel/thrift: Remove -Werror compiler flag/argument (Fails to build with Clang 7)
Summary: devel/thrift: Remove -Werror compiler flag/argument (Fails to build with Clan...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-patch
Depends on:
Blocks: 230355
  Show dependency treegraph
 
Reported: 2018-08-13 22:19 UTC by Jan Beich
Modified: 2019-05-11 10:11 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (komarov)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-08-13 22:19:28 UTC
$ poudriere jail -cj clang7 -a amd64 -v projects/clang700-import -m svn+https
$ poudriere testport -j clang7 devel/thrift
[...]
src/thrift/generate/t_py_generator.cc:1603:38: error: unused variable 'a_iter' [-Werror,-Wunused-variable]
    vector<t_field*>::const_iterator a_iter;
                                     ^
src/thrift/generate/t_py_generator.cc:1709:38: error: unused variable 'a_iter' [-Werror,-Wunused-variable]
    vector<t_field*>::const_iterator a_iter;
                                     ^
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/thrift-0.11.0,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/thrift-c_glib-0.11.0,1.log
Comment 1 Jan Beich freebsd_committer 2018-08-13 22:31:59 UTC
-Werror shouldn't be enabled outside of maintainer mode for unimportant warnings (e.g., -Wall -Wextra) as it tends to break build on each compiler upgrade/change/etc. If you really care about -Wunused-variable report upstream after confirming it affects development version.
Comment 2 commit-hook freebsd_committer 2018-09-18 14:21:53 UTC
A commit references this bug:

Author: arved
Date: Tue Sep 18 14:21:33 UTC 2018
New revision: 480025
URL: https://svnweb.freebsd.org/changeset/ports/480025

Log:
  Remove Werror from CFLAGS.

  According to the PR Werror breaks compilation with clang7

  PR:             230607
  Reported by:    Jan Beich
  Approved by:    maintainer timeout

Changes:
  head/devel/thrift/Makefile
Comment 3 Tilman Keskinoz freebsd_committer 2018-09-18 14:23:05 UTC
I have disabled Werror. 

Thanks for reporting.
Comment 4 commit-hook freebsd_committer 2019-05-11 09:04:46 UTC
A commit references this bug:

Author: tobik
Date: Sat May 11 09:03:52 UTC 2019
New revision: 501237
URL: https://svnweb.freebsd.org/changeset/ports/501237

Log:
  devel/thrift: Actually disable -Werror and fix build

  src/thrift/generate/t_py_generator.cc:1603:38: error: unused variable 'a_iter' [-Werror,-Wunused-variable]
      vector<t_field*>::const_iterator a_iter;
                                       ^

  http://beefy12.nyi.freebsd.org/data/head-amd64-default/p501065_s347375/logs/errors/thrift-0.11.0_1,1.log

  PR:		230607

Changes:
  head/devel/thrift/Makefile
Comment 5 commit-hook freebsd_committer 2019-05-11 10:11:45 UTC
A commit references this bug:

Author: tobik
Date: Sat May 11 10:11:25 UTC 2019
New revision: 501244
URL: https://svnweb.freebsd.org/changeset/ports/501244

Log:
  devel/thrift-c_glib: Disable -Werror and fix build

  src/thrift/generate/t_py_generator.cc:1603:38: error: unused variable 'a_iter' [-Werror,-Wunused-variable]
      vector<t_field*>::const_iterator a_iter;
                                       ^

  http://beefy12.nyi.freebsd.org/data/head-amd64-default/p501065_s347375/logs/errors/thrift-c_glib-0.11.0,1.log

  PR:		230607

Changes:
  head/devel/thrift-c_glib/Makefile